Bug 146641 - Delayed devices probing
Delayed devices probing
Product: Fedora
Classification: Fedora
Component: cdparanoia (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2005-01-31 08:35 EST by Sergey Ulanov
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-13 14:54:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sergey Ulanov 2005-01-31 08:35:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041110 Firefox/1.0

Description of problem:
cdparanoia tries to open cdrom device (in loop with 1 second delay)
regardless error number reported by open() syscall:

Error trying to open /dev/hdc exclusively (Permission denied).
retrying in 1 second.
Error trying to open /dev/hdc exclusively (Permission denied).
retrying in 1 second.
Error trying to open /dev/hdc exclusively (Permission denied).
retrying in 1 second.
.... and so on

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. make /dev/cdrom not accessible for the user 
(i.e. chmod go-rw /dev/hdc; chown root /dev/hdc)
2. run "cdparanoia 1"

Actual Results:  cdparanoia tries to open /dev/cdrom in loop with 1
second delay, even thought EPERM is reported.

Expected Results:  It should give up trying to open device immediately
after failed open().

Additional info:
This bug introduces by cdparanoia-III-alpha9.8.O_EXCL.patch. 
Actually, O_EXCL is not needed for cdparanoia.
Comment 1 Peter Jones 2005-03-07 17:34:32 EST
The distribution policy is that everything using the CD drive will use
it in exclusive mode, so that they won't interfere with other programs.

Where do you think this causes problems?
Comment 2 John Thacker 2007-01-13 14:54:13 EST
(This is a mass update to bugs which have been in NEEDINFO unmodified for over a
year and are for a currently unsupported version of Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.